Get response by ID endpoint
const url = 'https://example.com/v1/responses/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/responses/exampleParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The ID of the response to retrieve
Responses
Section titled “ Responses ”Response object
The main response resource returned by the OpenResponses API
object
Exact LoRA generation used for this response.
Whether request runs in background
Unix timestamp when the response was completed (if completed)
Unix timestamp when the response was created
Frequency penalty from the request
Unique identifier for this response
System instructions (if provided)
Max output tokens from the request
Max tool calls from the request (even if unsupported)
User-provided metadata
The model used for this response
Object type (always “response”)
Output items generated by the model
object
object
object
object
object
Concatenated text from all text output content
Whether parallel tool calls are enabled
Presence penalty from the request
Previous response ID (for multi-turn conversations)
Reasoning/chain-of-thought content from the model
Current status of the response
Whether to store the response
Temperature from the request
Text configuration from the request
object
Plain text output
object
JSON output with optional schema
object
Name for the schema
JSON Schema definition
Whether to use strict schema validation
JSON object output
object
Disallow selection of tools.
Allow automatic selection of any given tool, or none.
Require at least one tool call.
object
Tool definition
object
Function definition for a tool
object
When true, the tool’s parameters JSON schema is enforced on the
generated arguments via constrained decoding (llguidance).
Type of tool
object
Type of tool
Tool definitions from the request
Tool definition
object
Function definition for a tool
object
When true, the tool’s parameters JSON schema is enforced on the
generated arguments via constrained decoding (llguidance).
Type of tool
object
object
object
object
object
Top logprobs from the request
Top-p from the request
Token usage information
object
Number of input tokens
Number of output tokens
Total number of tokens
Example
{ "incomplete_details": { "reason": "max_output_tokens" }, "output": [ { "content": [ { "type": "output_text" } ], "type": "message" } ], "status": "queued", "text": { "format": { "type": "text" } }, "tool_choice": "none", "tools": [ { "type": "function" } ], "truncation": "auto"}